Bug 40266 - hyphenation w/o inquiry not taking into account configured options
Summary: hyphenation w/o inquiry not taking into account configured options
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.6.4.3 release
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: needsDevAdvice
Depends on:
Blocks: Paragraph-Dialog Options-Dialog-Language
  Show dependency treegraph
 
Reported: 2011-08-21 06:25 UTC by Joachim Nuyttens
Modified: 2018-09-02 09:34 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
screenshots (263.74 KB, application/x-gzip)
2011-08-21 06:25 UTC, Joachim Nuyttens
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Joachim Nuyttens 2011-08-21 06:25:49 UTC
Created attachment 50423 [details]
screenshots

When hyphenation is configured to work without inquiry, the configuration of other items in Tools > Options > Language Settings > Writing Aids (ex. number of characters before linebreak) are not taken into account.

To reproduce this problem (see also attached screenshots):
- create a new document in Writer
- set option 'characters before line break' to 9 (Tools > Options > Language Settings > Writing Aids)
- set option 'hyphenate without inquiry' to TRUE
- write a phrase with a word of more than 9 characters requiring hyphenation at the end of a line
- make sure that 'Hyphenation / Automatically' is set to FALSE in Format > Paragraph > Text Flow
- then click Tools > Language > Hyphenation
- the word will be hyphenated, not taken into account that 9 characters should have remained before the linebreak

When you repeat the test with 'hyphenate without inquiry' set to FALSE, then the presented hyphenation suggestion is in accord with the options.

Note also that when the hyphenation behaviour is configured on the level of each individual paragraph (Format > Paragraph > Text Flow) this works fine.

Workarounds: setting 'hyphenate without inquiry' to FALSE or configure hyphenation per paragraph
Comment 1 Jeffrey 2011-08-22 06:19:47 UTC
Confirmed for LibreOffice 3.4  340m1(Build:103) on OpenSuse Linux.
Comment 2 sasha.libreoffice 2012-03-02 05:11:13 UTC
reproducible in 3.3.4 on Fedora 64 bit, but in 3.5.0 I can not force Writer to hypenate at least something
Please, verify in last version of LibreOffice. It my be regression
Comment 3 Christopher Yeleighton 2012-03-25 11:14:17 UTC
Confirmed
LibreOffice 3.4.2 
OOO340m1 (Build:1206)
Comment 4 olddeath 2012-12-05 17:24:19 UTC
Confirmed for v3.6.4.3 under Win7 x64.

More easy way to reproduce:

* Set your settings as follows:
– Chars before hyphen: 4
– Chars after hyphen: 4
– Min hyphen word length: 7

* Now open a large document (I am using a German one, but that should not make any difference)
* Use Tools >> Language >> Hyphenation and let it auto-hyphenate the entire document.
* There will be a lot of places where words are separated ignoring the chars before and chars after settings.

Note that when manually going threw all hyphens using Tools >> Language >> Hyphenation, the bug does not occur. (e.g. It does show the words it would otherwise hyphenate disregarding the settings but it does not show where they could be theoretically hyphenated.)
Comment 5 sasha.libreoffice 2012-12-06 04:47:11 UTC
Thanks for additional testing
"Version" is most early version of LO where bug found, not current version
Changing back to 3.3.4 release
Comment 6 QA Administrators 2015-01-05 17:51:39 UTC Comment hidden (obsolete)
Comment 7 QA Administrators 2016-01-17 20:03:13 UTC Comment hidden (obsolete)
Comment 8 QA Administrators 2017-03-06 14:06:07 UTC Comment hidden (obsolete)
Comment 9 Jean-Baptiste Faure 2017-08-15 08:05:06 UTC
I guess this option should be removed as hyphenation is defined at paragraph style level.

Best regards. JBF
Comment 10 QA Administrators 2018-08-16 02:37:40 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug